Aviso de bloqueo de buscadores | WordPress Plugin

Hoy hemos publicado nuestro plugin número 21 en el repositorio oficial de plugins de WordPress. Esta vez un plugin que muestra un aviso en el encabezado de la administración de WordPress si tenemos activada la opción “Disuade a los motores de búsqueda de indexar este sitio” en AJUSTES / LECTURA.

Search engines blocked warning

El plugin es sencillo pero muy útil. Una de las cosas que siempre habíamos echado en falta en la administración de WordPress es que este aviso de que estamos bloqueando los buscadores no sea mucho más visible. Por eso creamos este plugin.

Es muy importante cuando se mueve un sitio web de un servidor de desarrollo a producción que nos acordemos que hay que desactivar esta opción. O mejor aún, nunca debería activarse: Nunca actives “Disuade a los motores de búsqueda de indexar este sitio”.

¿Qué puedo hacer con este plugin?

Este plugin muestra una ADVERTENCIA muy visible en el encabezado de administración del sitio web cuando “Visibilidad en los motores de búsqueda: Disuade a los motores de búsqueda de indexar este sitio” en AJUSTS / LECTURA está habilitado.

Requisitos del sistema

PHP versión 5.6 o superior.

Instalación

  1. Primero tendrás que subir el plugin a la carpeta `/wp-content/plugins/`.
  2. A continuación, activa el plugin en el panel de plugins. No hay ajustes.

Preguntas Frecuentes

¿Por qué habéis programado este plugin?

A menudo desarrollamos sitios web en servidores de desarrollo. A veces los desarrolladores van a AJUSTES / LECUTRA y activan “Visibilidad en los motores de búsqueda: Disuade a los motores de búsqueda de indexar este sitio” porque piensan que les ayudará a no ser indexados por un buscador.

En vez de usar esta opción se debería de usar un plugin de Mantenimiento como Maintenance y activar la opción “503: Servicio temporalmente no disponible, Google Analytics será desactivado”.

¿El plugin hace cambios en la base de datos?

No. El plugin no escribe ninguna opción o configuración en la base de datos.

¿Cómo puedo comprobar si el plugin funciona correctamente?

Instalar y activar. Si se selecciona la opción “Visibilidad en los motores de búsqueda: Disuade a los motores de búsqueda de indexar este sitio”, se mostrará una ADVERTENCIA en el encabezado de administración.

¿Cómo puedo eliminar el plugin?

Puede activarlo, desactivarlo o eliminarlo en la sección de gestión de plugins. No hay opciones que se guarden en la base de datos, por lo que puede eliminarse a través de FTP y todo lo relacionado con el plugin se eliminará.

¿Existen incompatibilidades conocidas?

Por favor, no lo uses con *WordPress MultiSite*, ya que no ha sido probado.

¿Qué versión de PHP necesito?

Este plugin ha sido probado y funciona con las versiones PHP 5.6 y superiores. WordPress recomienda usar la versión 7.2 o superior de PHP. Si utilizas una versión de PHP inferior a la 5.6, actualiza tu versión de PHP o ponte en contacto con el administrador de tu servidor.

¿Hay algún requisito del servidor?

Sí. El plugin requiere una versión de PHP 5.6 o superior y recomendamos usar la versión de PHP 7.1 o superior. El plugin ha sido probado con PHP hasta la versión 7.2.

¿Utilizáis el plugin?

Por supuesto que sí. Es por eso que lo creamos. 😉

 

Para cualquier problema, duda o ayuda que necesitéis, dejarnos un comentario aquí.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.